Last Comment Bug 879581 - Tabs are initially too high in the titlebar on Windows with sizemode=normal
: Tabs are initially too high in the titlebar on Windows with sizemode=normal
Status: RESOLVED FIXED
[Australis:M7]
:
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: All Windows 7
-- normal (vote)
: Firefox 28
Assigned To: :Gijs
:
: Dão Gottwald [::dao]
Mentors:
Depends on:
Blocks: 813802
  Show dependency treegraph
 
Reported: 2013-06-04 17:39 PDT by Justin Dolske [:Dolske]
Modified: 2013-11-18 13:06 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (1.11 KB, patch)
2013-06-05 04:47 PDT, :Gijs
MattN+bmo: review+
Details | Diff | Splinter Review

Description User image Justin Dolske [:Dolske] 2013-06-04 17:39:04 PDT
(Filed from Australis tabs ui-review #1)

There seems to be a recent regression causing Windows 7 tabs-in-titlebar to be crammed up against the top of the window. Happens sporadically, and seems to fix itself when the window is resized.
Comment 1 User image Guillaume C. [:ge3k0s] 2013-06-05 03:12:00 PDT
Dupe of bug 871279 ?
Comment 2 User image :Gijs 2013-06-05 03:18:37 PDT
(In reply to Guillaume C. [:ge3k0s] from comment #1)
> Dupe of bug 871279 ?

I suspect something else. Is the window unfocused / in the background when it is constructed?
Comment 3 User image Matthew N. [:MattN] (PM if requests are blocking you) 2013-06-05 03:20:51 PDT
This is a temporary issue which is resolved upon maximize/restore and happens right upon startup with a single primary browser window. I do see that those changes are not necessarily popup-specific though so you may be right. 

I actually suspect a race condition with the TabsInTitlebar measurement code.  My guess is that we're measuring the height of some elements before they're ready.
Comment 4 User image Matthew N. [:MattN] (PM if requests are blocking you) 2013-06-05 03:24:10 PDT
(In reply to :Gijs Kruitbosch from comment #2)
> I suspect something else. Is the window unfocused / in the background when
> it is constructed?

Yep, I can reproduce this if the window is not in the foreground upon launch.
Comment 5 User image :Gijs 2013-06-05 04:15:24 PDT
So this is caused by the window initially not having a sizemode attribute, which breaks our styles. :-\
Comment 6 User image :Gijs 2013-06-05 04:47:00 PDT
Created attachment 758505 [details] [diff] [review]
Patch

So this fixes it. However, AIUI, widget code should really be taking care of this, so I'm very reluctant to say we need to take this. Might be a good fallback if we don't find anything better, though...
Comment 7 User image :Gijs 2013-06-05 05:04:32 PDT
By the way, I did check that this gets overridden when you quit in maximized mode, and it does.
Comment 8 User image Mike de Boer [:mikedeboer] 2013-06-06 09:38:43 PDT
taking this to Australis M7
Comment 9 User image :Gijs 2013-06-06 09:41:27 PDT
Comment on attachment 758505 [details] [diff] [review]
Patch

Neil said that if we depend on this, we should add it in the XUL. I think we should do this.
Comment 10 User image Matthew N. [:MattN] (PM if requests are blocking you) 2013-06-07 02:14:43 PDT
Comment on attachment 758505 [details] [diff] [review]
Patch

Review of attachment 758505 [details] [diff] [review]:
-----------------------------------------------------------------

Since we don't support the window feature "fullscreen" and I don't know of another way to open a window fullscreeen or maximized by default, this seems to be fine.

Nit: Update the commit message to be more specific that the sizemode is for the browser window. Specifying that the default is "normal" would also be good.

e.g. Default the sizemode attribute to "normal" on navigator:browser windows.
Comment 11 User image Matthew N. [:MattN] (PM if requests are blocking you) 2013-06-07 02:18:07 PDT
(In reply to :Gijs Kruitbosch from comment #9)
> Neil said that…

By the way, this is ambiguous since there is no Neil CC'd and there is more than one that you could be referring to. No big deal in this case :)

Note You need to log in before you can comment on or make changes to this bug.